diff doc/interpreter/find-docstring-files.sh @ 20342:c3c1fb44f9b5

eliminate recursive make invocations in doc directory tree * doc/module.mk: New file created from doc/Makefile.am, doc/doxyhtml/Makefile.am, doc/liboctave/Makefile, doc/interpreter/Makefile.am, and doc/refcard/Makefile. * configure.ac (AC_OUTPUT): Don't generate doc/Makefile, doc/doxyhtml/Makefile, or doc/interpreter/Makefile. * Makefile.am (.NOTPARALLEL, AUTHORS, BUGS, INSTALL.OCTAVE): Delete targets. * config-images.sh, find-docstring-files.sh, geometryimages.m, graphics_properties.mk, images.awk, interpimages.m, plotimages.m, sparseimages.m, splineimages.m: Adapt to Makefile changes. * octave.texi, liboctave.texi: Use unique version file names. * etc/module.mk: Ensure icons build directory is created. (etc/icons/octave-logo.ico): Fix file name. * examples/module.mk (examples_code_SRC): New variable. * doc/Makefile.am, doc/doxyhtml/Makefile.am, doc/liboctave/Makefile.am, doc/interpreter/Makefile.am, doc/refcard/Makefile: Delete.
author John W. Eaton <jwe@octave.org>
date Fri, 03 Jul 2015 19:33:19 -0400
parents 741dbca67d80
children
line wrap: on
line diff
--- a/doc/interpreter/find-docstring-files.sh	Fri Jul 03 07:51:51 2015 -0400
+++ b/doc/interpreter/find-docstring-files.sh	Fri Jul 03 19:33:19 2015 -0400
@@ -5,18 +5,23 @@
   exit 1
 fi
 
-## if there is a file in the build directory tree, assume it is
-## the file we are looking for.  Otherwise, get the one from the
-## source tree.
+## Look in the build tree then the source tree for the
+## DOCSTRINGS files.  Fail if neither exists.
 
-if [ -f "../../scripts/DOCSTRINGS" ]; then
-  echo "../../scripts/DOCSTRINGS"
+if [ -f "scripts/DOCSTRINGS" ]; then
+  echo "scripts/DOCSTRINGS"
+elif [ -f "$1/scripts/DOCSTRINGS" ]; then
+  echo "$1/scripts/DOCSTRINGS"
 else
-  echo "$1/scripts/DOCSTRINGS"
+  echo "find-docstring-files: scripts/DOCSTRINGS file is missing!" 1>&2
+  exit 1
 fi
 
-if [ -f "../../libinterp/DOCSTRINGS" ]; then
-  echo "../../libinterp/DOCSTRINGS"
+if [ -f "libinterp/DOCSTRINGS" ]; then
+  echo "libinterp/DOCSTRINGS"
+elif [ -f "$1/libinterp/DOCSTRINGS" ]; then
+  echo "$1/libinterp/DOCSTRINGS"
 else
-  echo "$1/libinterp/DOCSTRINGS"
+  echo "find-docstring-files: libinterp/DOCSTRINGS file is missing!" 1>&2
+  exit 1
 fi